# $Id: prog.hack.mk,v 1.1 2006/10/08 23:24:03 securedog Exp $

.SUFFIXES:	.in

CAT?=		/bin/cat
CP?=		/bin/cp
SED?=		/usr/bin/sed
UNIFDEF?=	/usr/bin/unifdef

.for def in ${DEFINED_TYPES}
.if defined(${def})
UNIFDEF_ARGS+=	-D${def}
.else
UNIFDEF_ARGS+=	-U${def}
.endif
.endfor

.if !empty(UNIFDEF_ARGS)
_PROCESS_PROG+=	| ${UNIFDEF} -kt ${UNIFDEF_ARGS}
.endif
.if!empty(REINPLACE_ARGS)
_PROCESS_PROG+=	| ${SED} ${REINPLACE_ARGS}
.endif

.sh .in:
	${CAT} ${.IMPSRC} ${_PROCESS_PROG} > ${.TARGET}
